GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

        • Account Binding

        • MFA Factor Management

        • User Related Resources

          • Get Login History
          • Get Logged In Applications
          • Get Accessible Applications
          • Get Tenant List
          • Get Role List
          • Get Group List
          • Get Department List
          • Get Authorized Resource List
        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. User Related Resources

  10. /
  11. Get Department List

¶ Get the department list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

This interface is used to obtain the user's department list, which can be sorted according to certain sorting rules.

¶ Method name

AuthenticationClient.get_department_list

¶ Request parameters

NameType
Required
Default value
Description
Sample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
withCustomDatabooleanNo-Whether to obtain custom data of the departmenttrue
sortBystringNoJoinDepartmentAtSorting basis, such as department creation time, department joining time, department name, department identifierJoinDepartmentAt
orderBystringNoDescAscending or descendingDesc

¶ Request response

Type: UserDepartmentPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegment error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataUserDepartmentPagingDtoResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "organizationCode": "steamory",
      "departmentId": "60b49eb83fd80adb96f26e68",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "name": "dd8d7stf44",
      "description": "dd8d7stf44",
      "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
      "isLeader": true,
      "code": "6229c4deb3e4d8a20b6021ff",
      "isMainDepartment": true,
      "joinedAt": "2022-07-03T03:20:30.000Z",
      "i18n": {
        "name": {
          "zh-CN": { "enabled": false, "value": "Chinese" },
          "en-US": { "enabled": false, "value": "English" }
        }
      },
      "customData": { "icon": "https://example.com/logo" },
      "departmentIdPath": "[\"parentId1\",\"parentId2\"]",
      "departmentCodePath": "[\"parentCode1\",\"parentCode2\"]",
      "departmentNamePath": "[\"parentName1\",\"parentName2\"]"
    }
  }
}

¶ Data structure

¶ UserDepartmentPagingDto

NameType
Is it required?
Description
Sample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: UserDepartmentRespDto.

¶ UserDepartmentRespDto

NameType
Is it required?
Description
Sample value
organizationCodestringyesOrganization Code (organizationCode)steamory
departmentIdstringyesDepartment ID60b49eb83fd80adb96f26e68
isRootbooleanyesIs it the root department?
createdAtstringyesDepartment creation time2022-07-03T03:20:30.000Z
namestringyesDepartment namedd8d7stf44
descriptionstringyesDepartment descriptiondd8d7stf44
openDepartmentIdstringnoCustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
isLeaderbooleanyesIs it a department leader?true
codestringyesDepartment identification code6229c4deb3e4d8a20b6021ff
isMainDepartmentbooleanyesIs it a main department?true
joinedAtstringyesJoined department time2022-07-03T03:20:30.000Z
isVirtualNodebooleanyesIs it a virtual department?
i18nnoMultilingual Nested type: DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
departmentIdPatharrayNoDepartment ID path["parentId1","parentId2"]
departmentCodePatharrayNoDepartment Code path["parentCode1","parentCode2"]
departmentNamePatharrayNoDepartment name path["parentName1","parentName2"]

¶ DepartmentI18nDto

NameType
Is it required
Description
Sample value
nameYesMulti-language-supported field Nested type: LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

¶ LangObject

NameType
Is it required?
Description
Sample value
zh-CNYesMultilingual Chinese content Nested type: LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: LangUnit.{"enabled":false,"value":"日本語"}

¶ LangUnit

NameType
Is it required?
Description
Sample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content
Previous article: Get Group List Next article: Get Authorized Resource List
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.